# Contributing to Eclipse Angus

Thanks for your interest in this project.

## Project description

Eclipse Angus provides implementations of Jakarta Activation, a standard
extension to the Java platform that lets you take advantage of standard services
to: determine the type of an arbitrary piece of data; encapsulate access to it;
discover the operations available on it; and instantiate the appropriate bean to
perform the operation(s), and Jakarta Mail, a platform-independent and
protocol-independent framework to build mail and messaging applications.

* https://projects.eclipse.org/projects/ee4j.angus

## Terms of Use

This repository is subject to the Terms of Use of the Eclipse Foundation

* http://www.eclipse.org/legal/termsofuse.php

## Developer resources

Information regarding source code management, builds, coding standards, and
more.

* https://projects.eclipse.org/projects/ee4j.angus/developer

The project maintains the following source code repositories

* https://github.com/eclipse-ee4j/angus-activation
* https://github.com/eclipse-ee4j/angus-mail

## Eclipse Development Process

This Eclipse Foundation open project is governed by the Eclipse Foundation
Development Process and operates under the terms of the Eclipse IP Policy.

* https://eclipse.org/projects/dev_process
* https://www.eclipse.org/org/documents/Eclipse_IP_Policy.pdf

## Eclipse Contributor Agreement

In order to be able to contribute to Eclipse Foundation projects you must
electronically sign the Eclipse Contributor Agreement (ECA).

* http://www.eclipse.org/legal/ECA.php

The ECA provides the Eclipse Foundation with a permanent record that you agree
that each of your contributions will comply with the commitments documented in
the Developer Certificate of Origin (DCO). Having an ECA on file associated with
the email address matching the "Author" field of your contribution's Git commits
fulfills the DCO's requirement that you sign-off on your contributions.

For more information, please see the Eclipse Committer Handbook:
https://www.eclipse.org/projects/handbook/#resources-commit

## Contact

Contact the project developers via the project's "dev" list.

* https://accounts.eclipse.org/mailing-list/angus-dev
